Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.FillRule

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.FillRule

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.FillRule

extends java.lang.Enum
implements QtEnumerator

Specifies which method should be used to fill the paths and polygons.

See Also:
  Serialized Form

Field Summary
`static Qt.FillRule` | `OddEvenFill` Specifies that the region is filled using the odd even fill rule.
`static Qt.FillRule` | `WindingFill` Specifies that the region is filled using the non zero winding rule.

Method Summary
`static Qt.FillRule` | `resolve(int value)` Returns the FillRule constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.FillRule` | `valueOf(java.lang.String name)`
`static Qt.FillRule[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OddEvenFill

    public static final Qt.FillRule OddEvenFill

  Specifies that the region is filled using the odd even fill rule. With this rule, we determine whether a point is inside the shape by using the following method. Draw a horizontal line from the point to a location outside the shape, and count the number of intersections. If the number of intersections is an odd number, the point is inside the shape. This mode is the default.

### WindingFill

    public static final Qt.FillRule WindingFill

  Specifies that the region is filled using the non zero winding rule. With this rule, we determine whether a point is inside the shape by using the following method. Draw a horizontal line from the point to a location outside the shape. Determine whether the direction of the line at each intersection point is up or down. The winding number is determined by summing the direction of each intersection. If the number is non zero, the point is inside the shape. This fill mode can also in most cases be considered as the intersection of closed shapes.

Method Detail

### values

    public static Qt.FillRule[] values()

### valueOf

    public static Qt.FillRule valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.FillRule resolve(int value)

  Returns the FillRule constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD